*** ./Makefile.in.cln	Sat Jan  3 17:17:37 1998
--- ./Makefile.in	Thu Jan  8 12:41:39 1998
***************
*** 296,301 ****
--- 296,302 ----
  mostlyclean:  mostlyclean-recursive mostlyclean-am
  
  clean:  clean-recursive clean-am
+ 	-rm -f config.cache
  
  distclean:  distclean-recursive distclean-am
  	-rm -f config.status
*** ./configure.cln	Sat Jan  3 17:16:42 1998
--- ./configure	Thu Jan  8 14:46:33 1998
***************
*** 1,4 ****
! #! /bin/sh
  
  # Guess values for system-dependent variables and create Makefiles.
  # Generated automatically using autoconf version 2.12 
--- 1,4 ----
! #! /bin/posix/sh
  
  # Guess values for system-dependent variables and create Makefiles.
  # Generated automatically using autoconf version 2.12 
***************
*** 69,74 ****
--- 69,81 ----
  infodir='${prefix}/info'
  mandir='${prefix}/man'
  
+ # HP-UX overrides
+ CC="cc"; CONFIG_SHELL="/bin/posix/sh"
+ # Add -Dhpux9 to CFLAGS if compiling under 9.X
+ CFLAGS="-O -Ae"
+ LDFLAGS="$CFLAGS"
+ prefix="/opt/gtk+"; RANLIB="/bin/true"
+ 
  # Initialize some other variables.
  subdirs=
  MFLAGS= MAKEFLAGS=
***************
*** 636,647 ****
  
  # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
  # It thinks the first close brace ends the variable substitution.
! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
  
  test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
  
  
! test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
  
  echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
  echo "configure:648: checking whether build environment is sane" >&5
--- 643,654 ----
  
  # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
  # It thinks the first close brace ends the variable substitution.
! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL} -s'
  
  test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
  
  
! test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
  
  echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
  echo "configure:648: checking whether build environment is sane" >&5
*** ./gdk/Makefile.in.cln	Sat Jan  3 17:17:44 1998
--- ./gdk/Makefile.in	Thu Jan  8 12:46:12 1998
***************
*** 112,121 ****
  	gdktypes.h	\
  	gdkx.h
  
! libgdk_la_LDFLAGS = -version-info 1:0:0 \
! 	@x_ldflags@ @x_libs@
  
! INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/glib @x_cflags@ 
  
  EXTRA_PROGRAMS = gxid
  
--- 112,120 ----
  	gdktypes.h	\
  	gdkx.h
  
! libgdk_la_LDFLAGS = -version-info 1:0:0
  
! INCLUDES = -I/usr/contrib/X11R6/include -I/usr/contrib/X11R5/include -I$(top_srcdir) -I$(top_srcdir)/glib @x_cflags@ 
  
  EXTRA_PROGRAMS = gxid
  
*** ./gdk/gdk.c.cln	Sat Jan  3 02:11:49 1998
--- ./gdk/gdk.c	Thu Jan  8 12:51:19 1998
***************
*** 1489,1495 ****
--- 1489,1499 ----
  	  max_input = MAX (max_input, input->source);
  	}
  
+ #ifdef hpux9
+       nfd = select (max_input+1, (int *)&readfds, (int *)&writefds, (int *)&exceptfds, timerp);
+ #else
        nfd = select (max_input+1, &readfds, &writefds, &exceptfds, timerp);
+ #endif
  
        timerp = NULL;
        timer_val = 0;
***************
*** 3272,3277 ****
--- 3276,3282 ----
  	    GdkIMStyle style, ...)
  {
    va_list list;
+   void *argsptr;
    GdkICPrivate *private;
    XVaNestedList preedit_attr;
  
***************
*** 3282,3288 ****
    private = g_new (GdkICPrivate, 1);
  
    va_start (list, style);
!   preedit_attr =  (XVaNestedList) & (va_arg (list, void *));
    va_end (list);
  
    private->style = gdk_im_decide_style (style);
--- 3287,3294 ----
    private = g_new (GdkICPrivate, 1);
  
    va_start (list, style);
!   argsptr = va_arg (list, void *);
!   preedit_attr =  (XVaNestedList)&argsptr;
    va_end (list);
  
    private->style = gdk_im_decide_style (style);
***************
*** 3341,3346 ****
--- 3347,3353 ----
  gdk_ic_set_values (GdkIC ic, ...)
  {
    va_list list;
+   void *argsptr;
    XVaNestedList args;
    GdkICPrivate *private;
  
***************
*** 3349,3355 ****
    private = (GdkICPrivate *) ic;
  
    va_start (list, ic);
!   args =  (XVaNestedList) & (va_arg (list, void *));
    va_end (list);
  
    XSetICValues (private->xic, XNVaNestedList, args, NULL);
--- 3356,3363 ----
    private = (GdkICPrivate *) ic;
  
    va_start (list, ic);
!   argsptr = va_arg (list, void *);
!   args =  (XVaNestedList)&argsptr;
    va_end (list);
  
    XSetICValues (private->xic, XNVaNestedList, args, NULL);
***************
*** 3359,3364 ****
--- 3367,3373 ----
  gdk_ic_get_values (GdkIC ic, ...)
  {
    va_list list;
+   void *argsptr;
    XVaNestedList args;
    GdkICPrivate *private;
  
***************
*** 3367,3373 ****
    private = (GdkICPrivate *) ic;
  
    va_start (list, ic);
!   args =  (XVaNestedList) & (va_arg (list, void *));
    va_end (list);
  
    XGetICValues (private->xic, XNVaNestedList, args, NULL);
--- 3376,3383 ----
    private = (GdkICPrivate *) ic;
  
    va_start (list, ic);
!   argsptr = va_arg (list, void *);
!   args =  (XVaNestedList)&argsptr;
    va_end (list);
  
    XGetICValues (private->xic, XNVaNestedList, args, NULL);
***************
*** 3377,3382 ****
--- 3387,3393 ----
  gdk_ic_set_attr (GdkIC ic, const char *target, ...)
  {
    va_list list;
+   void *argsptr;
    XVaNestedList attr;
    GdkICPrivate *private;
  
***************
*** 3386,3392 ****
    private = (GdkICPrivate *) ic;
  
    va_start (list, target);
!   attr =  (XVaNestedList) & (va_arg (list, void *));
    va_end (list);
  
    XSetICValues (private->xic, target, attr, NULL);
--- 3397,3404 ----
    private = (GdkICPrivate *) ic;
  
    va_start (list, target);
!   argsptr = va_arg (list, void *);
!   attr =  (XVaNestedList)&argsptr;
    va_end (list);
  
    XSetICValues (private->xic, target, attr, NULL);
***************
*** 3396,3401 ****
--- 3408,3414 ----
  gdk_ic_get_attr (GdkIC ic, const char *target, ...)
  {
    va_list list;
+   void *argsptr;
    XVaNestedList attr;
    GdkICPrivate *private;
  
***************
*** 3405,3411 ****
    private = (GdkICPrivate *) ic;
  
    va_start (list, target);
!   attr =  (XVaNestedList) & (va_arg (list, void *));
    va_end (list);
  
    XGetICValues (private->xic, target, attr, NULL);
--- 3418,3425 ----
    private = (GdkICPrivate *) ic;
  
    va_start (list, target);
!   argsptr = va_arg (list, void *);
!   attr =  (XVaNestedList)&argsptr;
    va_end (list);
  
    XGetICValues (private->xic, target, attr, NULL);
*** ./gdk/gdkpixmap.c.cln	Fri Jan  2 07:30:50 1998
--- ./gdk/gdkpixmap.c	Thu Jan  8 13:45:36 1998
***************
*** 374,380 ****
              {
                gdk_pixmap_seek_char (infile, '"');
                fseek (infile, -1, SEEK_CUR);
!               gdk_pixmap_read_string (infile, &buffer, &buffer_size);
  
                sscanf (buffer,"%d %d %d %d", &width, &height, &num_cols, &cpp);
  
--- 374,380 ----
              {
                gdk_pixmap_seek_char (infile, '"');
                fseek (infile, -1, SEEK_CUR);
!               gdk_pixmap_read_string (infile, &buffer, (guint *)&buffer_size);
  
                sscanf (buffer,"%d %d %d %d", &width, &height, &num_cols, &cpp);
  
***************
*** 393,399 ****
                  {
                    gdk_pixmap_seek_char (infile, '"');
                    fseek (infile, -1, SEEK_CUR);
!                   gdk_pixmap_read_string (infile, &buffer, &buffer_size);
  
                    colors[cnt].color_string = g_new(gchar, cpp + 1);
                    for (n = 0; n < cpp; n++)
--- 393,399 ----
                  {
                    gdk_pixmap_seek_char (infile, '"');
                    fseek (infile, -1, SEEK_CUR);
!                   gdk_pixmap_read_string (infile, &buffer, (guint *)&buffer_size);
  
                    colors[cnt].color_string = g_new(gchar, cpp + 1);
                    for (n = 0; n < cpp; n++)
***************
*** 448,454 ****
  
                for (ycnt = 0; ycnt < height; ycnt++)
                  {
!                   gdk_pixmap_read_string (infile, &buffer, &buffer_size);
  
                    for (n = 0, cnt = 0, xcnt = 0; n < (width * cpp); n += cpp, xcnt++)
                      {
--- 448,454 ----
  
                for (ycnt = 0; ycnt < height; ycnt++)
                  {
!                   gdk_pixmap_read_string (infile, &buffer, (guint *)&buffer_size);
  
                    for (n = 0, cnt = 0, xcnt = 0; n < (width * cpp); n += cpp, xcnt++)
                      {
*** ./glib/configure.cln	Sat Jan  3 17:16:39 1998
--- ./glib/configure	Thu Jan  8 14:46:50 1998
***************
*** 59,64 ****
--- 59,70 ----
  infodir='${prefix}/info'
  mandir='${prefix}/man'
  
+ # HP-UX overrides
+ CC="cc"
+ # Add -Dhpux9 to CFLAGS if compiling under 9.X
+ CFLAGS="-O -Ae"; LDFLAGS="$CFLAGS"
+ prefix="/opt/gtk+"; RANLIB="/bin/true"
+ 
  # Initialize some other variables.
  subdirs=
  MFLAGS= MAKEFLAGS=
***************
*** 607,618 ****
  
  # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
  # It thinks the first close brace ends the variable substitution.
! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
  
  test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
  
  
! test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
  
  echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
  echo "configure:619: checking whether build environment is sane" >&5
--- 613,624 ----
  
  # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
  # It thinks the first close brace ends the variable substitution.
! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL} -s'
  
  test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
  
  
! test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
  
  echo $ac_n "checking whether build environment is sane""... $ac_c" 1>&6
  echo "configure:619: checking whether build environment is sane" >&5
*** ./glib/gerror.c.cln	Fri Jan  2 07:30:55 1998
--- ./glib/gerror.c	Thu Jan  8 13:22:07 1998
***************
*** 206,212 ****
--- 206,216 ----
        tv.tv_sec = 1;
        tv.tv_usec = 0;
  
+ #ifdef hpux9
+       sel = select (FD_SETSIZE, (int *)&readset, NULL, NULL, &tv);
+ #else
        sel = select (FD_SETSIZE, &readset, NULL, NULL, &tv);
+ #endif
        if (sel == -1)
          break;
  
*** ./glib/ltconfig.cln	Mon Nov 24 22:37:35 1997
--- ./glib/ltconfig	Thu Jan  8 13:00:05 1998
***************
*** 832,841 ****
        test -z "$ac_dir" && dir=.
        if test -f $ac_dir/nm; then
          # Check to see if the nm accepts a BSD-compat flag.
!         if ($ac_dir/nm -B /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
!           NM="$ac_dir/nm -B"
!         elif ($ac_dir/nm -p /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
            NM="$ac_dir/nm -p"
  	else
            NM="$ac_dir/nm"
  	fi
--- 832,841 ----
        test -z "$ac_dir" && dir=.
        if test -f $ac_dir/nm; then
          # Check to see if the nm accepts a BSD-compat flag.
!         if ($ac_dir/nm -p /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
            NM="$ac_dir/nm -p"
+         elif ($ac_dir/nm -B /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
+           NM="$ac_dir/nm -B"
  	else
            NM="$ac_dir/nm"
  	fi
*** ./glib/ltmain.sh.cln	Mon Nov 24 22:37:35 1997
--- ./glib/ltmain.sh	Thu Jan  8 13:00:34 1998
***************
*** 835,842 ****
          exit 1
        fi
  
!       # Add libc to deplibs on all systems.
!       deplibs="$deplibs -lc"
  
        if test -n "$dlfiles$dlprefiles"; then
          $echo "$progname: warning: \`-dlopen' is ignored while creating libtool libraries" 1>&2
--- 835,843 ----
          exit 1
        fi
  
!       # DON'T add libc to deplibs on all systems.
!       # There's no point - the C compiler adds -lc when linking binaries !
!       # deplibs="$deplibs -lc"
  
        if test -n "$dlfiles$dlprefiles"; then
          $echo "$progname: warning: \`-dlopen' is ignored while creating libtool libraries" 1>&2
*** ./glib/mkinstalldirs.cln	Mon Nov 24 22:37:36 1997
--- ./glib/mkinstalldirs	Thu Jan  8 13:01:12 1998
***************
*** 19,26 ****
       esac
  
       if test ! -d "$pathcomp"; then
!         echo "mkdir $pathcomp" 1>&2
!         mkdir "$pathcomp" > /dev/null 2>&1 || lasterr=$?
       fi
  
       if test ! -d "$pathcomp"; then
--- 19,26 ----
       esac
  
       if test ! -d "$pathcomp"; then
!         echo "mkdir -p -m 755 $pathcomp" 1>&2
!         mkdir -p -m 755 "$pathcomp" > /dev/null 2>&1 || lasterr=$?
       fi
  
       if test ! -d "$pathcomp"; then
*** ./gtk/Makefile.in.cln	Sat Jan  3 17:17:48 1998
--- ./gtk/Makefile.in	Thu Jan  8 13:03:02 1998
***************
*** 276,281 ****
--- 276,282 ----
  noinst_PROGRAMS = testgtk testinput testselection simple testtree
  testgtk_LDADD = \
  	libgtk.la				\
+ 	-lc					\
  	$(top_builddir)/gdk/libgdk.la		\
  	@x_ldflags@				\
  	@x_libs@				\
***************
*** 284,289 ****
--- 285,291 ----
  
  testinput_LDADD = \
  	libgtk.la				\
+ 	-lc					\
  	$(top_builddir)/gdk/libgdk.la		\
  	@x_ldflags@				\
  	@x_libs@				\
***************
*** 292,297 ****
--- 294,300 ----
  
  testselection_LDADD = \
  	libgtk.la				\
+ 	-lc					\
  	$(top_builddir)/gdk/libgdk.la		\
  	@x_ldflags@				\
  	@x_libs@				\
***************
*** 300,305 ****
--- 303,309 ----
  
  simple_LDADD = \
  	libgtk.la				\
+ 	-lc					\
  	$(top_builddir)/gdk/libgdk.la		\
  	@x_ldflags@				\
  	@x_libs@				\
***************
*** 308,313 ****
--- 312,318 ----
  
  testtree_LDADD = \
  	libgtk.la				\
+ 	-lc					\
  	$(top_builddir)/gdk/libgdk.la		\
  	@x_ldflags@				\
  	@x_libs@				\
*** ./gtk/gtkcontainer.c.cln	Fri Jan  2 19:51:32 1998
--- ./gtk/gtkcontainer.c	Thu Jan  8 13:04:29 1998
***************
*** 382,388 ****
    rfunc = (GtkContainerSignal2) func;
  
    (* rfunc) (object,
! 	     GTK_VALUE_C_CALLBACK(args[0]).func,
  	     GTK_VALUE_C_CALLBACK(args[0]).func_data,
  	     func_data);
  }
--- 382,388 ----
    rfunc = (GtkContainerSignal2) func;
  
    (* rfunc) (object,
! 	     (gpointer)GTK_VALUE_C_CALLBACK(args[0]).func,
  	     GTK_VALUE_C_CALLBACK(args[0]).func_data,
  	     func_data);
  }
*** ./gtk/gtkentry.c.cln	Sat Jan  3 17:07:52 1998
--- ./gtk/gtkentry.c	Thu Jan  8 13:07:08 1998
***************
*** 1231,1237 ****
      {
        selection_start_pos = MIN (entry->selection_start_pos, entry->selection_end_pos);
        selection_end_pos = MAX (entry->selection_start_pos, entry->selection_end_pos);
!       str = &entry->text[selection_start_pos];
        length = selection_end_pos - selection_start_pos;
      }
    else				/* CLIPBOARD */
--- 1231,1237 ----
      {
        selection_start_pos = MIN (entry->selection_start_pos, entry->selection_end_pos);
        selection_end_pos = MAX (entry->selection_start_pos, entry->selection_end_pos);
!       str = (guchar *)&entry->text[selection_start_pos];
        length = selection_end_pos - selection_start_pos;
      }
    else				/* CLIPBOARD */
***************
*** 1239,1245 ****
        if (!entry->clipboard_text)
  	return;			/* Refuse */
  
!       str = entry->clipboard_text;
        length = strlen (entry->clipboard_text);
      }
    
--- 1239,1245 ----
        if (!entry->clipboard_text)
  	return;			/* Refuse */
  
!       str = (guchar *)entry->clipboard_text;
        length = strlen (entry->clipboard_text);
      }
    
***************
*** 1260,1266 ****
  
        c = str[length];
        str[length] = '\0';
!       gdk_string_to_compound_text (str, &encoding, &format, &text, &new_length);
        gtk_selection_data_set (selection_data, encoding, format, text, new_length);
        gdk_free_compound_text (text);
        str[length] = c;
--- 1260,1266 ----
  
        c = str[length];
        str[length] = '\0';
!       gdk_string_to_compound_text ((gchar *)str, &encoding, &format, &text, &new_length);
        gtk_selection_data_set (selection_data, encoding, format, text, new_length);
        gdk_free_compound_text (text);
        str[length] = c;
***************
*** 1324,1331 ****
      {
      case STRING:
        selection_data->data[selection_data->length] = 0;
!       gtk_entry_insert_text (entry, selection_data->data,
! 			     strlen (selection_data->data), &tmp_pos);
        entry->current_pos = tmp_pos;
        break;
      case CTEXT:
--- 1324,1331 ----
      {
      case STRING:
        selection_data->data[selection_data->length] = 0;
!       gtk_entry_insert_text (entry, (const gchar *)selection_data->data,
! 			     strlen ((char *)selection_data->data), &tmp_pos);
        entry->current_pos = tmp_pos;
        break;
      case CTEXT:
*** ./gtk/gtklabel.c.cln	Tue Nov 25 06:15:23 1997
--- ./gtk/gtklabel.c	Thu Jan  8 13:07:38 1998
***************
*** 54,60 ****
    return label_type;
  }
  
! void
  gtk_label_class_init (GtkLabelClass *class)
  {
    GtkObjectClass *object_class;
--- 54,60 ----
    return label_type;
  }
  
! static void
  gtk_label_class_init (GtkLabelClass *class)
  {
    GtkObjectClass *object_class;
***************
*** 71,77 ****
    widget_class->expose_event = gtk_label_expose;
  }
  
! void
  gtk_label_init (GtkLabel *label)
  {
    GTK_WIDGET_SET_FLAGS (label, GTK_NO_WINDOW);
--- 71,77 ----
    widget_class->expose_event = gtk_label_expose;
  }
  
! static void
  gtk_label_init (GtkLabel *label)
  {
    GTK_WIDGET_SET_FLAGS (label, GTK_NO_WINDOW);
*** ./gtk/testselection.c.cln	Sat Jan  3 05:33:09 1998
--- ./gtk/testselection.c	Thu Jan  8 13:08:31 1998
***************
*** 163,169 ****
      }      
    else
      {
!       buffer = selection_string->str;
        len = selection_string->len;
      }
    
--- 163,169 ----
      }      
    else
      {
!       buffer = (guchar *)selection_string->str;
        len = selection_string->len;
      }
    
*** ./ltconfig.cln	Thu Dec 18 03:25:03 1997
--- ./ltconfig	Thu Jan  8 13:10:13 1998
***************
*** 836,845 ****
        test -z "$ac_dir" && dir=.
        if test -f $ac_dir/nm; then
          # Check to see if the nm accepts a BSD-compat flag.
!         if ($ac_dir/nm -B /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
!           NM="$ac_dir/nm -B"
!         elif ($ac_dir/nm -p /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
            NM="$ac_dir/nm -p"
  	else
            NM="$ac_dir/nm"
  	fi
--- 836,845 ----
        test -z "$ac_dir" && dir=.
        if test -f $ac_dir/nm; then
          # Check to see if the nm accepts a BSD-compat flag.
!         if ($ac_dir/nm -p /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
            NM="$ac_dir/nm -p"
+         elif ($ac_dir/nm -B /dev/null 2>&1; exit 0) | grep /dev/null >/dev/null; then
+           NM="$ac_dir/nm -B"
  	else
            NM="$ac_dir/nm"
  	fi
*** ./ltmain.sh.cln	Mon Nov 24 22:37:28 1997
--- ./ltmain.sh	Thu Jan  8 13:10:33 1998
***************
*** 835,842 ****
          exit 1
        fi
  
!       # Add libc to deplibs on all systems.
!       deplibs="$deplibs -lc"
  
        if test -n "$dlfiles$dlprefiles"; then
          $echo "$progname: warning: \`-dlopen' is ignored while creating libtool libraries" 1>&2
--- 835,843 ----
          exit 1
        fi
  
!       # DON'T add libc to deplibs on all systems.
!       # There's no point - the C compiler adds -lc when linking binaries !
!       # deplibs="$deplibs -lc"
  
        if test -n "$dlfiles$dlprefiles"; then
          $echo "$progname: warning: \`-dlopen' is ignored while creating libtool libraries" 1>&2
*** ./mkinstalldirs.cln	Mon Nov 24 22:37:28 1997
--- ./mkinstalldirs	Thu Jan  8 13:10:49 1998
***************
*** 19,26 ****
       esac
  
       if test ! -d "$pathcomp"; then
!         echo "mkdir $pathcomp" 1>&2
!         mkdir "$pathcomp" > /dev/null 2>&1 || lasterr=$?
       fi
  
       if test ! -d "$pathcomp"; then
--- 19,26 ----
       esac
  
       if test ! -d "$pathcomp"; then
!         echo "mkdir -p -m 755 $pathcomp" 1>&2
!         mkdir -p -m 755 "$pathcomp" > /dev/null 2>&1 || lasterr=$?
       fi
  
       if test ! -d "$pathcomp"; then
